Форум поддержки пользователей. LibreOffice, Apache OpenOffice, OpenOffice.org

Форум поддержки пользователей. LibreOffice, Apache OpenOffice, OpenOffice.org

21 Август 2017, 13:18 *
Добро пожаловать, Гость. Пожалуйста, войдите или зарегистрируйтесь.
Вам не пришло письмо с кодом активации?

Войти
Новости: Вы можете задать вопрос по LibreOffice или Apache OpenOffice  без регистрации, используя форму
 
   Начало   Помощь Поиск Войти Регистрация    задать вопрос  
Страниц: « 1 2   Вниз
  Печать  
Автор Тема: Ошибка чтения изображения  (Прочитано 1045 раз)
0 Пользователей и 1 Гость смотрят эту тему.
Mariya
Новичок
*
Offline Offline

Сообщений: 10


« Ответ #15: 31 Июль 2017, 18:31 »

Спасибо, попробую переустановить офис.
Записан
Mariya
Новичок
*
Offline Offline

Сообщений: 10


« Ответ #16: 31 Июль 2017, 22:31 »


При этом для 14.02 вполне возможно просто обновить ЛО с помощью этой команды. Не знаю, может быть, это из-за экзотически предустановленной ЛО? тогда да, удаление и последующая установка поможет...

Я попробовала удалить и переустановить ло на свежий и предыдущий релиз, и в итоге версия 5 и выше у меня не ставится, пишет, что неразрешимая ошибка, версия >= 4 и т.д. Из центра приложений поставила обратно единственную доступную, которая и была изначально, и нахожусь в некотором недоумении, что с этим делать дальше.
Записан
mikekaganski
Ветеран
*****
Offline Offline

Пол: Мужской
Расположение: Хабаровск -> Москва
Сообщений: 544


« Ответ #17: 31 Июль 2017, 22:42 »

Было бы неплохо увидеть точный текст ошибки.

Ну, и можно попробовать загрузить ЛО с сайта (правда, там возможна неидеальная интеграция)

Можно попробовать отсюда: https://www.libreoffice.org/download/flatpak/
« Последнее редактирование: 31 Июль 2017, 22:52 от mikekaganski » Записан

С уважением,
Михаил Каганский
Mariya
Новичок
*
Offline Offline

Сообщений: 10


« Ответ #18: 31 Июль 2017, 23:10 »

Я оттуда и загружала. Ошибки точный текст не сохранила, примерно вот то, что я выше написала, было написано. При попытке обновить предустановленный ЛО через терминал вот такая ошибка выдаётся:
Некоторые пакеты невозможно установить. Возможно, вы просите невозможного,
или же используете нестабильную версию дистрибутива, где запрошенные вами
пакеты ещё не созданы или были удалены из Incoming.
Следующая информация, возможно, поможет вам:

Пакеты, имеющие неудовлетворённые зависимости:
 libreoffice : Зависит: python3-uno (>= 4.4.0~beta2) но он не будет установлен
               Рекомендует: libreoffice-librelogo но он не будет установлен
               Рекомендует: libreoffice-script-provider-python но он не будет установлен
E: Невозможно исправить ошибки, у вас отложены (held) битые пакеты.
Записан
mikekaganski
Ветеран
*****
Offline Offline

Пол: Мужской
Расположение: Хабаровск -> Москва
Сообщений: 544


« Ответ #19: 31 Июль 2017, 23:17 »

Мда.
Я бы с удовольствием помог, но я не спец в линуксах. Нутром чувствую, что к системе нужно руки приложить.
Надеюсь, кто-то сведущий подскажет, куда копать.
Записан

С уважением,
Михаил Каганский
Mariya
Новичок
*
Offline Offline

Сообщений: 10


« Ответ #20: 31 Июль 2017, 23:25 »

Спасибо за советы. Это всё печально, конечно Грустный Я не рассчитывала на столько косяков встроенных. И шрифты вордовские тоже не ставятся, вот сейчас попробобовала по описанию из ЧаВо установить. Увы. Хотя нет, со шрифтами разобралась вроде.
« Последнее редактирование: 31 Июль 2017, 23:30 от Mariya » Записан
kompilainenn
Ветеран
*****
Offline Offline

Сообщений: 2 023



« Ответ #21: 1 Август 2017, 07:44 »

синаптик установлен? если да, то в поле поиска пишете libreoffice, он покажет все пакеты имеющие такое название и связанные с либрой. их надо выделить и удалить полностью. затем скачать архив с версией 5.3 с сайта либры, распаковать его куда то, зайти в каталог DEBS и выполнить команду sudo dpkg -i *
Записан

Поддержать разработчиков LibreOffice можно тут, а наш форум вот тут
ape
Ветеран
*****
Offline Offline

Сообщений: 2 468


« Ответ #22: 1 Август 2017, 21:12 »

sudo dpkg -i *
sudo -s -H
почитать справку по dpkg - если правильно помню, есть возможность удаления битых пакетов

В системе нужен mc - 2-х панельный файловый менеджер, существенно упрощает работу с файлами, особенно из-под root; запускает консольные команды.
Записан
McAaron
Постоялец
***
Offline Offline

Сообщений: 156


« Ответ #23: 16 Август 2017, 15:59 »

никакой ... LaTex пока не могут сравниться с универсальностью и мощью OpenOffice|LibreOffice (и, конечно, с MSO) - по самому важному показателю: по количеству и качеству созданных во всем мире больших "программных" документов, по кол-ву "вытекших мозгов" на них.

Я бы хотел поиздеваться над теми, кто бизнес-план или книгу-учебник с иллюстрациями будет делать не в офисных пакетах, а в LaTex, VIM, Emacs, Scribus (а также QuarkXpress, PageMaker, InDesign) и прочих true-редакторах - но мне этих людей и так жалко. Они вокруг меня, и говорят что для каждой работы - свой инструмент. Согласен с тезисом, но только по отношению к консольным утилитам. А ведь швейцарские ножи сделали-таки ненужными кучу других простых инструментов.

Адепты ЛаТекса тратят гораздо больше времени на тот же результат, если, скажем, пишут инструкцию к ПО, где нет ни матхимфизформул, ни других mark-up "фишек". При этом итоговый PDF будет неотличим от моего, сделанного во Writer.
Адепты ЛаТекса, к Вашему сведению, никакого отношения к LaTeX'у не имеют.

Насчет швейцарских ножей. У меня есть такой ножик. Даже с алмазным надфильком, которым сей ножик можно подточить. Даже с чайной ложечкой и штопором. В этом "ноже" ни ножа реального нет, ни ничего другого, что как бы там заявлено. Болтик какой на велике подкрутить, палочку обстругать, бутылочку хереса по дороге из магазина домой открыть -- вот пожалуй и все. Забавная игрушка, не более.

Насчет "итоговый PDF будет неотличим от моего, сделанного во Writer" -- writer не делает двумерной верстки, он всего лишь как продвинутая печатная машинка делает линейную, переламывая длинные строки. Режим с выравниванием по ширине вообще невозможно использовать, анстолько безобразно выглядит итого. Тот же кварк или латех делают полноценную двумерную верстку, да еще и с композицией. Если Вы не видите разницы в выхлопе writer'а и программ верстки, это лично Ваша проблема. Нубы, как правило, тоже поначалу не видят, но если специально заострить их внимание на отличиях, то начинают четко различать, даже не работая ни в том, ни в другом. Просто поставьте тильду или стрелочку над i в райтере и посмотрите, как это же выглядит в книжке. Потом добейтесь того же в райтере. Возможно у Вас возникнет вопрос -- какого такого первый вариант существует вообще, а не только как опция по умолчанию. Я уже не говорю о лигатурах и о том, что в райтере их нужно  явно вставлять, а про умолчанию рендерится кал.

Разные версии writer'а производят совершенно разный выхлоп из одного и того же документа, поскольку рендеринг-энжин в нем сущее г-но со времен старофиса.  Мало того, разный выхлоп происходит даже из одного и того же райтера в разное время суток -- наверное в зависимости от расположения звезд.
Таки да, райтер -- это типа швейцарский ножик в области офисного делопроизводства. Я его использую именно для этого, а также в связке с TexMath Equations для черновой проработки документов с формулами, типа отчетов и книг.
« Последнее редактирование: 16 Август 2017, 16:03 от McAaron » Записан
Страниц: « 1 2   Вверх
  Печать  
 
Перейти в:  

Powered by MySQL Powered by PHP Powered by SMF 1.1.21 | SMF © 2006-2009, Simple Machines Valid XHTML 1.0! Valid CSS!